### Function

# FwupdPlugin size_checked_add

#### Declaration [src]

    gsize
    fu_size_checked_add (
      gsize a,
      gsize b
    )

#### Description [src]

Performs a checked addition of a and b, ensuring the result does not overflow.

Available since: | 2.0.19

#### Parameters

`a` | `gsize`
| The #gsize left operand.
`b` | `gsize`
| The #gsize right operand.

#### Return value

Returns: | `gsize`
| `a`+`b`, or `G_MAXSIZE` on overflow.